import {Injectable} from '@angular/core';

@Injectable()
export class Load {
    constructor() {
    }

    public isLoad = false;
    public showNum = false;
    public msg = '';
    public time = 0;

    toLoad(msg, type) {
        if (!this.isLoad) {
            this.isLoad = true;
            this.msg = msg;
            if (type) {
                this.showNum = true;
                this.time = 0;
                this.addNum();
            }
        }
    }

    addNum() {
        setTimeout(() => {
            if (this.isLoad) {
                this.time++;
                this.addNum();
            }
        }, 1000);
    }

    offLoad() {
        this.isLoad = false;
        this.showNum = false;
        this.msg = '';
        this.time = 0;
    }
}
